• Realaml API
    • Basic Realaml workflow
    • Mock/Test Requests (Staging)
    • Security recommendations
    • iFrame Embed
    • iOS SDK
    • Android SDK
    • API Reference
      • Verifications
        • Create a verification
        • Get a verification
        • Delete a verification
        • Resend a verification
        • Reset a verification
        • Approve a verification check result
        • Approve Quick IDV result (deprecated)
        • Approve PEP result (deprecated)
        • Create and run a verification
        • Create and run a company verification
        • Approve FaceMatch result (deprecated)
      • Outsourced Verifications
        • Create an outsourced verification
        • Get an outsourced verification
        • Delete an outsourced verification
      • Risk Assessment
        • Create a risk rating
        • Get risk rating details
      • E-sign Templates
        • List e-sign templates
        • Fetch an e-sign template
      • E-sign Documents
        • Create an e-sign draft document
        • Fetch an e-sign document
        • List e-sign documents
        • Update an e-sign draft document
        • Delete an e-sign document
        • Duplicate an e-sign document
        • Create an e-sign iframe builder session
        • Send an e-sign document
        • Resend an e-sign document
        • Reinitiate an e-sign document
        • Void an e-sign document
      • Form Submissions
        • Create a form submission
        • Fetch a form submission
        • Delete a form submission
        • Resend a form submission
    • National IDs
      • Australia (AU)
      • Canada (CA)
      • China (CN)
      • Denmark (DK)
      • India (IN)
      • Mexico (MX)
      • New Zealand (NZ)
      • United States (US)
      • South Africa (ZA)
    • Changelog
    • Schemas
      • VerificationRequest
      • VerificationCompanyRequest
      • VerificationSimple
      • Verification
      • VerificationCompany
      • OutsourcedVerificationRequest
      • OutsourcedVerificationSimple
      • OutsourcedVerification
      • OutsourcedVerificationType
      • OutsourcedVerificationStatus
      • OutsourcedVerificationResult
      • OutsourcedVerificationIndividual
      • VerificationType
      • VerificationResultSource
      • Result
      • PepResult
      • PepType
      • PepHit
      • DocumentOCRData
      • FaceMatchVoiResult
      • NationalIdTypes
      • BadRequest
      • Metadata
      • PersonName
      • PersonBirthDate
      • ContactMethods
      • AddressFields
      • GeoCoordinates
      • NationalIdBundle
      • VerificationAlgorithmSelection
      • VerificationIdentityResponse
      • VerificationCoreResponse
      • VerificationAddressResponse
      • VerificationNationalIdsResponse
      • VerificationMetadataResponse
      • OtherCountries
      • OutsourcedContactMethods
      • OutsourcedOrgTracking
      • OutsourcedCore
      • CompanyContactMethods
      • CompanyCore
      • CompanyTracking
      • VerificationResendRequest
      • RiskLevel
      • RiskAnswer
      • RiskSection
      • RiskQuestion
      • RiskRatingAnswer
      • RiskRating
      • RiskRatingCreateRequest
      • FormSubmissionCreateRequest
      • FormSubmission
      • FormSubmissionUser
      • FormSubmissionForm
      • FormSubmissionVerification
      • FormSubmissionValue
      • ESignTwoFactorMethod
      • ESignEnvelopeStatus
      • ESignRecipientStatus
      • ESignFieldType
      • ESignFieldDefaultValueMode
      • ESignTemplateRecipientRole
      • ESignTemplate
      • ESignDocumentRecipientOverride
      • ESignDocumentCreateRequest
      • ESignRecipientCreateRequest
      • ESignRecipientUpdateRequest
      • ESignDocumentFile
      • ESignField
      • ESignFieldGroup
      • ESignRecipient
      • ESignActionRequiredRecipient
      • ESignActionRequired
      • ESignDocument
      • ESignFieldResponse
      • ESignCompletionCertificate
      • ESignDocumentDetail
      • ESignSendDocumentResponse
      • ESignReinitiateDocumentResponse
      • ESignDocumentUpdateRequest
      • ESignDocumentDuplicateRequest
      • ESignDocumentPage
      • ESignIframeSessionCreateRequest
      • ESignIframeSessionResponse
      • ESignResendDocumentRequest
      • ESignResendDocumentResponse
      • ESignVoidDocumentRequest
      • ESignVoidDocumentResponse

    Basic Realaml workflow

    This guide covers the standard end-to-end flow to create a verification, have an end user complete it, and retrieve the final result.

    1) Create a verification#

    Initiate a verification by calling:
    POST /verifications/
    The request/response parameters are documented in the API Reference

    2) Choose how the end user starts the verification#

    Option A: Realaml sends the link (SMS or email)#

    If you include a phone number or email address in POST /verifications/, Realaml will send the end user an SMS or email containing a link to complete the verification.

    Option B: You embed the flow (iFrame or Mobile SDK)#

    If you want to use the iFrame and/or mobile SDKs and you don’t want Realaml to send an SMS/email, let us know so we can enable that for your account.
    When iFrame and/or mobile SDKs are enabled, the POST /verifications/ response includes:
    url — use this as the iFrame src
    signature_key — use this in the mobile SDKs
    Related guides:
    iFrame documentation
    Android SDK documentation
    iOS SDK documentation

    3) Receive verification updates (webhooks)#

    To receive updates when a verification changes state, provide callback_url in POST /verifications/.
    Details on how and when callback_url is called is in API Reference.

    4) Fetch verification details#

    After you receive a callback, fetch the verification details using:
    GET /verification/{signature_key}/
    The response fields and possible statuses are documented API Reference.

    About report links (PDFs/images)#

    The GET response can include temporary links to PDFs and images. These links expire after 15 minutes, so download/copy them promptly if you need to retain them.

    5) Determine when the verification is complete#

    Use these key response fields from GET /verification/{signature_key}/:
    is_completed — indicates whether all verification steps have finished
    result — combined outcome across all checks
    You can also access individual check results and additional metadata as described in the API docs.

    6) Finalize#

    When is_completed is true, you can treat the verification as complete and use result as the combined verification outcome.
    Previous
    Realaml API
    Next
    Mock/Test Requests (Staging)
    Built with